<style>
  .margin-top {
    margin-top: 150px;
  }
</style>

<nb-card>
  <button
    nbButton
    ghost
    status="danger"
    routerLink="/updateProject"
    size="medium"
  >
    Project settings:
    <nb-icon icon="edit-outline" routerLink="/updateProject"></nb-icon>
  </button>

  <nb-card-body>
    <nb-stepper orientation="horizontal" linear="false" #stepperMain>
      <!-- Hauptschritt: Einleitung -->
      <nb-step
        label="Einleitung"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(0, stepperMain),
          reset: this.stepperService.resetStep(0, stepperMain)
        }"
      >
        <ng-template>{{
          "PROJECTDETAILS.INTRODUCTION.TITLE" | translate
        }}</ng-template>
        <button
          nbButton
          size="medium"
          status=""
          class="position-warning"
          [nbPopover]="'BUTTONS.PUB' | translate"
          nbPopoverPlacement="bottom"
        >
          <nb-icon icon="plus-circle-outline"></nb-icon>
        </button>
        <button
          nbButton
          size="medium"
          status="danger"
          class="position-warning"
          [nbPopover]="'BUTTONS.ATT' | translate"
          nbPopoverPlacement="bottom"
        >
          <nb-icon icon="alert-triangle-outline"></nb-icon>
        </button>
        <button
          nbButton
          status="danger"
          size="medium"
          class="position-feedback"
          (click)="this.feedbackService.giveFeedback('Einleitung')"
        >
          {{ "PROJECTDETAILS.FEEDBACK" | translate }}
        </button>
        <p>
          <nb-card style="padding: 0rem">
            <nb-card-body>
              <ng-template #stepperEinleitung>{{
                "PROJECTDETAILS.INTRODUCTION.INTRO" | translate
              }}</ng-template>
              <app-einleitung></app-einleitung>
              <br />
            </nb-card-body>
          </nb-card>
        </p>
        <button
          nbButton
          status="success"
          [disabled]="this.stepperService.isStepCompleted(0, stepperMain)"
          (click)="this.stepperService.completeStep(0, stepperMain)"
        >
          Mark as Completed
        </button>
        <button nbButton disabled nbStepperPrevious>prev</button>
        <button nbButton nbStepperNext>next</button>
        <br>
        
      <p></p>
 
      <!--<nb-select placeholder="Add Authors">
        <nb-option *ngFor="let user of allUsers" [value]="allUsers">
          {{ user }}
        </nb-option>
      </nb-select>
      <nb-select placeholder="Add Authors" [(ngModel)]="updateProjectUsers" (change)="updateProjectUsers(user)">
        <nb-option *ngFor="let user of allUsers" [value]="user">
          {{ user }}
        </nb-option>
      </nb-select>
      -->

      <!-- Your HTML content -->
      
  
      <h6>Invite Project Users:</h6>
      Invite Users based on their UserID: <input [(ngModel)]="userid" placeholder="UserID"/>
      <button nbButton status="success" (click)="updateProjectUsers(userid)">
        Invite
      </button><br>
      <p>Hint: Look at your UserIDs in your Account Settings</p>

      <button nbButton status="danger" (click)="deleteProject()">Delete this Project</button>

      
     

      </nb-step> 

      <!-- Hauptschritt: Planen -->
      <nb-step
      label="Planen"
      [stepControl]="{
        valid: this.stepperService.isStepCompleted(1, stepperMain),
        reset: this.stepperService.resetStep(1, stepperMain)
      }"
      >
        <app-planen></app-planen>

        <button
          nbButton
          status="success"
          [disabled]="this.stepperService.isStepCompleted(1, stepperMain)"
          (click)="this.stepperService.completeStep(1, stepperMain)"
        >
          {{ "BUTTONS.MAC" | translate }}
        </button>
        <button nbButton nbStepperPrevious>
          {{ "BUTTONS.PREV" | translate }}
        </button>
        <button nbButton nbStepperNext>{{ "BUTTONS.NEXT" | translate }}</button>
      </nb-step>

      


      <nb-step
        label="Execution"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(2, stepperMain),
          reset: this.stepperService.resetStep(2, stepperMain)
        }"
      >
        <app-execution></app-execution>
          <button
            nbButton
            status="success"
            [disabled]="this.stepperService.isStepCompleted(2, stepperMain)"
            (click)="this.stepperService.completeStep(2, stepperMain)"
          >
            Mark as Completed
          </button>
          <button nbButton nbStepperPrevious>prev</button>
          <button nbButton nbStepperNext>next</button>
        </nb-step
      >
      <!-- Hauptschritt: Analyse -->
      <!-- <nb-step
        label="Analyse"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(2, stepperMain),
          reset: this.stepperService.resetStep(2, stepperMain)
        }"
      >
        <app-analyse></app-analyse>
          <button
            nbButton
            status="success"
            [disabled]="this.stepperService.isStepCompleted(2, stepperMain)"
            (click)="this.stepperService.completeStep(2, stepperMain)"
          >
            Mark as Completed
          </button>
          <button nbButton nbStepperPrevious>prev</button>
          <button nbButton nbStepperNext>next</button>
        </nb-step
      >

       Hauptschritt: Erhebung 
      <nb-step
        label="Erhebung"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(3, stepperMain),
          reset: this.stepperService.resetStep(3, stepperMain)
        }"
      >
        <app-erhebung></app-erhebung>
        
        <button
          nbButton
          status="success"
          [disabled]="this.stepperService.isStepCompleted(3, stepperMain)"
          (click)="this.stepperService.completeStep(3, stepperMain)"
        >
          Mark as Completed
        </button>
        <button nbButton nbStepperPrevious>prev</button>
        <button nbButton nbStepperNext>next</button>
      </nb-step> -->

      <!-- Hauptschritt: Archivieren -->
      <nb-step
        label="Archivieren"
        [stepControl]="{
          valid: this.stepperService.isStepCompleted(3, stepperMain),
          reset: this.stepperService.resetStep(3, stepperMain)
        }"
      >
        <app-archivieren></app-archivieren>
        <button
          nbButton
          status="success"
          [disabled]="this.stepperService.isStepCompleted(3, stepperMain)"
          (click)="this.stepperService.completeStep(3, stepperMain)"
        >
          Mark as Completed
        </button>
        <button nbButton nbStepperPrevious>prev</button>
        <button nbButton nbStepperNext>next</button>
      </nb-step>

      <!-- Hauptschritt: Publizieren -->
      <!-- <nb-step label="Publizieren" [stepControl]="{valid: this.stepperService.isStepCompleted(5, stepperMain), reset: this.stepperService.resetStep(5, stepperMain)}">
        <button nbButton size="giant" status="danger" class="position-warning" [nbPopover]="'BUTTONS.ATT' | translate" nbPopoverPlacement="bottom"><nb-icon icon="alert-triangle-outline"></nb-icon></button>
        <button nbButton status="danger" (click)="this.feedbackService.giveFeedback('Publizieren')">{{'PROJECTDETAILS.FEEDBACK' | translate}}</button>
        <p class="lorem">
          <nb-card size="medium">
              <nb-card-body>
                <nb-stepper orientation="horizontal" linear="false" #stepperAccess> 
                  
                  
              <nb-step label="Daten auswählen" [stepControl]="{valid: this.stepperService.isStepCompleted(0, stepperAccess), reset: this.stepperService.resetStep(0, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <h4>Daten für die Veröffentlichung auswählen</h4>
                <br/>
                <p>
                  Entscheidungshilfen in rechtlichen Askpekten: <br/> <a href="https://zenodo.org/record/3368293">Forschungsdaten veröffentlichen?</a> <br/> <a href="https://tu-dresden.de/gsw/phil/irget/jfbimd13/forschung/forschungsprojekt-datajus">Link existiert nicht</a>
                </p>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(0, stepperAccess)" (click)="this.stepperService.completeStep(0, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Medium auswählen" [stepControl]="{valid: this.stepperService.isStepCompleted(1, stepperAccess), reset: this.stepperService.resetStep(1, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <h4>Medium auswählen</h4>
                <br/>
                <p>
                  Repositoriumsübersichten aus Planungsphase Data-Journals-Liste:
                  <br/>
                  <a href="https://github.com/MaxiKi/data-journals">Hier</a>
                </p>
                <button nbButton  status="danger" class="position-info" nbPopover="Ggf. auch schon in Planungsphase festlegbar. Überschneidung mit Publikationsprozess."  nbPopoverPlacement="bottom"><nb-icon icon="info-outline"></nb-icon></button>  
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(1, stepperAccess)" (click)="this.stepperService.completeStep(1, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Aufbereitung" [stepControl]="{valid: this.stepperService.isStepCompleted(2, stepperAccess), reset: this.stepperService.resetStep(2, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Repositorium</ng-template>
                <h4>Daten für das Medium aufbereiten</h4>
                <p>
                  <a href="https://docs.lib.purdue.edu/cgi/viewcontent.cgi?article=1003&context=dcptoolkit">Vorläufiger Link</a>
                </p>
                <nb-card>
                  <nb-card-body class="example-items-rows" style="width:30em">
                    <nb-checkbox status="basic">CuteWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">FlexWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">NWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">OpenWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">Wiki.NET</nb-checkbox> <br>
                    <nb-checkbox status="basic">Gitit</nb-checkbox> <br>
                    <nb-checkbox status="basic">Confluence</nb-checkbox> <br>
                    <nb-checkbox status="basic">Friki</nb-checkbox> <br>
                    <nb-checkbox status="basic">GWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">JSPWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic"><input type="text" nbInput placeholder="Anderes Wiki"></nb-checkbox> 
                  </nb-card-body>
                </nb-card>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(2, stepperAccess)" (click)="this.stepperService.completeStep(2, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Metadaten" [stepControl]="{valid: this.stepperService.isStepCompleted(3, stepperAccess), reset: this.stepperService.resetStep(3, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Repositorium</ng-template>
                <h4>Metadaten für die Auffindbarkeit erstellen</h4>
                <br/>
                <p>
                  <a href="https://docs.lib.purdue.edu/cgi/viewcontent.cgi?article=1003&context=dcptoolkit">Vorläufiger Link</a>
                </p>
                <nb-card>
                  <nb-card-body class="example-items-rows" style="width:30em">
                    <nb-checkbox status="basic">CuteWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">FlexWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">NWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">OpenWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">Wiki.NET</nb-checkbox> <br>
                    <nb-checkbox status="basic">Gitit</nb-checkbox> <br>
                    <nb-checkbox status="basic">Confluence</nb-checkbox> <br>
                    <nb-checkbox status="basic">Friki</nb-checkbox> <br>
                    <nb-checkbox status="basic">GWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">JSPWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic"><input type="text" nbInput placeholder="Anderes Wiki"></nb-checkbox> 
                  </nb-card-body>
                </nb-card>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(3, stepperAccess)" (click)="this.stepperService.completeStep(3, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Lizenz" [stepControl]="{valid: this.stepperService.isStepCompleted(4, stepperAccess), reset: this.stepperService.resetStep(4, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Repositorium</ng-template>
                <h4>Lizenz festlegen</h4>
                <br/>
                <p>
                  <a href="https://docs.lib.purdue.edu/cgi/viewcontent.cgi?article=1003&context=dcptoolkit">Vorläufiger Link</a>
                </p>
                <nb-card>
                  <nb-card-body class="example-items-rows" style="width:30em">
                    <nb-checkbox status="basic">CuteWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">FlexWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">NWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">OpenWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">Wiki.NET</nb-checkbox> <br>
                    <nb-checkbox status="basic">Gitit</nb-checkbox> <br>
                    <nb-checkbox status="basic">Confluence</nb-checkbox> <br>
                    <nb-checkbox status="basic">Friki</nb-checkbox> <br>
                    <nb-checkbox status="basic">GWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">JSPWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic"><input type="text" nbInput placeholder="Anderes Wiki"></nb-checkbox> 
                  </nb-card-body>
                </nb-card>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(4, stepperAccess)" (click)="this.stepperService.completeStep(4, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Embargofrist" [stepControl]="{valid: this.stepperService.isStepCompleted(5, stepperAccess), reset: this.stepperService.resetStep(5, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Repositorium</ng-template>
                <h4>Sinnvolle Embargofrist festlegen</h4>
                <br/>
                <p>
                  <a href="https://docs.lib.purdue.edu/cgi/viewcontent.cgi?article=1003&context=dcptoolkit">Vorläufiger Link</a>
                </p>
                <nb-card>
                  <nb-card-body class="example-items-rows" style="width:30em">
                    <nb-checkbox status="basic">CuteWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">FlexWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">NWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">OpenWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">Wiki.NET</nb-checkbox> <br>
                    <nb-checkbox status="basic">Gitit</nb-checkbox> <br>
                    <nb-checkbox status="basic">Confluence</nb-checkbox> <br>
                    <nb-checkbox status="basic">Friki</nb-checkbox> <br>
                    <nb-checkbox status="basic">GWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">JSPWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic"><input type="text" nbInput placeholder="Anderes Wiki"></nb-checkbox> 
                  </nb-card-body>
                </nb-card>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(5, stepperAccess)" (click)="this.stepperService.completeStep(5, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Publizieren" [stepControl]="{valid: this.stepperService.isStepCompleted(6, stepperAccess), reset: this.stepperService.resetStep(6, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Repositorium</ng-template>
                <h4>Daten publizieren</h4>
                <br/>
                <p>
                  Qualtitätssicherung:
                  <a href="https://f-uji.net">Hier</a>
                </p>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(6, stepperAccess)" (click)="this.stepperService.completeStep(6, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Verbreiten" [stepControl]="{valid: this.stepperService.isStepCompleted(7, stepperAccess), reset: this.stepperService.resetStep(7, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Repositorium</ng-template>
                <h4>Daten verbreiten (Einträge in weiteren Datenbanken, Nachnutzung etc.)</h4>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(7, stepperAccess)" (click)="this.stepperService.completeStep(7, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Text-VÖ schreiben" [stepControl]="{valid: this.stepperService.isStepCompleted(8, stepperAccess), reset: this.stepperService.resetStep(8, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Datenjournal</ng-template>
                <h4>Text-VÖ schreiben</h4>
                <br/>
                <p>
                  Hilfe für Zitation von Forschungsdaten: <br/>
                  DOI Citation For matter: <br/>
                  <a href="https://citation.crosscite.org">Hier</a> <br/>
                  Doi2bib: <br/>
                  <a href="https://www.doi2bib.org/"> Hier</a>
                </p>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(8, stepperAccess)" (click)="this.stepperService.completeStep(8, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Metadaten Text-VÖ" [stepControl]="{valid: this.stepperService.isStepCompleted(9, stepperAccess), reset: this.stepperService.resetStep(9, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Datenjournal</ng-template>
                <h4>Metadaten für die Auffindbarkeit der Text-VÖ erstellen</h4>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(9, stepperAccess)" (click)="this.stepperService.completeStep(9, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Text-VÖ verbreiten" [stepControl]="{valid: this.stepperService.isStepCompleted(10, stepperAccess), reset: this.stepperService.resetStep(10, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Datenjournal</ng-template>
                <h4>Text-VÖ verbreiten</h4>
                <p>
                  (Einträge in weiteren Datenbanken, Nachnutzung etc.)
                </p>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(10, stepperAccess)" (click)="this.stepperService.completeStep(10, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Text-VÖ schreiben"[stepControl]="{valid: this.stepperService.isStepCompleted(11, stepperAccess), reset: this.stepperService.resetStep(11, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Supplement</ng-template>
                <h4>Text-VÖ schreiben</h4>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(11, stepperAccess)" (click)="this.stepperService.completeStep(11, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Daten aufbereiten" [stepControl]="{valid: this.stepperService.isStepCompleted(12, stepperAccess), reset: this.stepperService.resetStep(12, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Supplement</ng-template>
                <h4>Daten für das Medium aufbereiten</h4>
                <br/>
                <p class="lorem">
                  Hilfe: <a href="https://docs.lib.purdue.edu/cgi/viewcontent.cgi?article=1003&context=dcptoolkit">Data Curation Profile</a>
                </p>
                <br/>
                <nb-card>
                  <nb-card-body class="example-items-rows">
                    <nb-checkbox status="basic">CuteWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">FlexWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">NWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">OpenWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">Wiki.NET</nb-checkbox> <br>
                    <nb-checkbox status="basic">Gitit</nb-checkbox> <br>
                    <nb-checkbox status="basic">Confluence</nb-checkbox> <br>
                    <nb-checkbox status="basic">Friki</nb-checkbox> <br>
                    <nb-checkbox status="basic">GWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">JSPWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic"><input type="text" nbInput placeholder="Anderes Wiki"></nb-checkbox> 
                  </nb-card-body>
                </nb-card>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(12, stepperAccess)" (click)="this.stepperService.completeStep(12, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Metadaten Text-VÖ" [stepControl]="{valid: this.stepperService.isStepCompleted(13, stepperAccess), reset: this.stepperService.resetStep(13, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Supplement</ng-template>
                <h4>Metadaten für die Auffindbarkeit der Text-VÖ erstellen</h4>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(13, stepperAccess)" (click)="this.stepperService.completeStep(13, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>
              
              <nb-step label="Lizenz festlegen" [stepControl]="{valid: this.stepperService.isStepCompleted(14, stepperAccess), reset: this.stepperService.resetStep(14, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Supplement</ng-template>
                <h4>Lizenz festlegen</h4>
                <br/>
                <p class="lorem">
                  Hilfe: <a href="https://docs.lib.purdue.edu/cgi/viewcontent.cgi?article=1003&context=dcptoolkit">Data Curation Profile</a>
                </p>
                <br/>
                <nb-card>
                  <nb-card-body class="example-items-rows">
                    <nb-checkbox status="basic">CuteWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">FlexWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">NWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">OpenWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">Wiki.NET</nb-checkbox> <br>
                    <nb-checkbox status="basic">Gitit</nb-checkbox> <br>
                    <nb-checkbox status="basic">Confluence</nb-checkbox> <br>
                    <nb-checkbox status="basic">Friki</nb-checkbox> <br>
                    <nb-checkbox status="basic">GWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">JSPWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic"><input type="text" nbInput placeholder="Anderes Wiki"></nb-checkbox> 
                  </nb-card-body>
                </nb-card>
                <br/>
                <p>
                  CC License Chooser: <br/>
                  <a href="https://creativecommons.org/choose/?lang=de">Hier</a>
                </p>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(14, stepperAccess)" (click)="this.stepperService.completeStep(14, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Publizieren" [stepControl]="{valid: this.stepperService.isStepCompleted(15, stepperAccess), reset: this.stepperService.resetStep(15, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Supplement</ng-template>
                <h4>Text-VÖ und Supplement publizieren</h4>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(15, stepperAccess)" (click)="this.stepperService.completeStep(15, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Text-VÖ verbreiten" [stepControl]="{valid: this.stepperService.isStepCompleted(16, stepperAccess), reset: this.stepperService.resetStep(16, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Supplement</ng-template>
                <h4>Text-VÖ verbreiten (Einträge in weiteren Datenbanken, Nachnutzung etc.)</h4>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(16, stepperAccess)" (click)="this.stepperService.completeStep(16, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Daten Medium" [stepControl]="{valid: this.stepperService.isStepCompleted(17, stepperAccess), reset: this.stepperService.resetStep(17, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Intern teilen</ng-template>
                <h4>Daten für das Medium aufbereiten</h4>
                <br/>
                <nb-card>
                  <nb-card-body class="example-items-rows">
                    <nb-checkbox status="basic">CuteWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">FlexWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">NWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">OpenWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">Wiki.NET</nb-checkbox> <br>
                    <nb-checkbox status="basic">Gitit</nb-checkbox> <br>
                    <nb-checkbox status="basic">Confluence</nb-checkbox> <br>
                    <nb-checkbox status="basic">Friki</nb-checkbox> <br>
                    <nb-checkbox status="basic">GWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">JSPWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic"><input type="text" nbInput placeholder="Anderes Wiki"></nb-checkbox> 
                  </nb-card-body>
                </nb-card>
                <br/>
                <p>
                  CC License Chooser: <br/>
                  <a href="https://creativecommons.org/choose/?lang=de">Hier</a>
                </p>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(17, stepperAccess)" (click)="this.stepperService.completeStep(17, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Metadaten Auffindabrkeit" [stepControl]="{valid: this.stepperService.isStepCompleted(18, stepperAccess), reset: this.stepperService.resetStep(18, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Intern teilen</ng-template>
                <h4>Metadaten für die Auffindbarkeit erstellen</h4>
                <br/>
                <nb-card>
                  <nb-card-body class="example-items-rows">
                    <nb-checkbox status="basic">CuteWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">FlexWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">NWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">OpenWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">Wiki.NET</nb-checkbox> <br>
                    <nb-checkbox status="basic">Gitit</nb-checkbox> <br>
                    <nb-checkbox status="basic">Confluence</nb-checkbox> <br>
                    <nb-checkbox status="basic">Friki</nb-checkbox> <br>
                    <nb-checkbox status="basic">GWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">JSPWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic"><input type="text" nbInput placeholder="Anderes Wiki"></nb-checkbox> 
                  </nb-card-body>
                </nb-card>
                <br/>
                <p>
                  CC License Chooser: <br/>
                  <a href="https://creativecommons.org/choose/?lang=de">Hier</a>
                </p>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(18, stepperAccess)" (click)="this.stepperService.completeStep(18, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step>

              <nb-step label="Regeln Intern" [stepControl]="{valid: this.stepperService.isStepCompleted(19, stepperAccess), reset: this.stepperService.resetStep(19, stepperAccess)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <ng-template>Intern teilen</ng-template>
                <h4>Regeln zur internen Nutzung festlegen</h4>
                <br/>
                <nb-card>
                  <nb-card-body class="example-items-rows">
                    <nb-checkbox status="basic">CuteWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">FlexWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">NWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">OpenWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">Wiki.NET</nb-checkbox> <br>
                    <nb-checkbox status="basic">Gitit</nb-checkbox> <br>
                    <nb-checkbox status="basic">Confluence</nb-checkbox> <br>
                    <nb-checkbox status="basic">Friki</nb-checkbox> <br>
                    <nb-checkbox status="basic">GWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic">JSPWiki</nb-checkbox> <br>
                    <nb-checkbox status="basic"><input type="text" nbInput placeholder="Anderes Wiki"></nb-checkbox> 
                  </nb-card-body>
                </nb-card>
                <br/>
                <p>
                  CC License Chooser: <br/>
                  <a href="https://creativecommons.org/choose/?lang=de">Hier</a>
                </p>
                  </div>
                  <div>                   
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(19, stepperAccess)" (click)="this.stepperService.completeStep(19, stepperAccess)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step> 

                </nb-stepper>
              </nb-card-body>
            </nb-card>
        </p>
        <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(5, stepperMain)" (click)="this.stepperService.completeStep(5, stepperMain)">Mark as Completed</button>
        <button nbButton nbStepperPrevious>prev</button>
        <button nbButton nbStepperNext>next</button>
                    
      </nb-step>-->
    </nb-stepper>
  </nb-card-body>
</nb-card>

<!-- <nb-icon icon="edit-outline" [routerLink]="'/projects/' + projectId + '/updateProject'"></nb-icon> -->

<!-- <button nbButton ghost status="danger" size="medium" routerLink="/updateProject"><nb-icon icon="edit-outline"></nb-icon></button> -->
